import { Context, PublicKey, WrappedInstruction } from '@metaplex-foundation/umi';
import { CreateMintArgs } from './createMint';
export type CreateMintWithAssociatedTokenArgs = CreateMintArgs & {
    owner: PublicKey;
    amount?: number | bigint;
};
export declare function createMintWithAssociatedToken(context: Pick<Context, 'serializer' | 'programs' | 'identity' | 'payer' | 'eddsa'>, input: CreateMintWithAssociatedTokenArgs): WrappedInstruction[];
