import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type CloseLutInstructionAccounts = {
    address: PublicKey;
    authority?: Signer;
    recipient: PublicKey;
};
export type CloseLutInstructionData = {
    discriminator: number;
};
export type CloseLutInstructionDataArgs = {};
export declare function getCloseLutInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CloseLutInstructionDataArgs, CloseLutInstructionData>;
export declare function closeLut(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: CloseLutInstructionAccounts): WrappedInstruction;
