import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type DeactivateLutInstructionAccounts = {
    address: PublicKey;
    authority?: Signer;
};
export type DeactivateLutInstructionData = {
    discriminator: number;
};
export type DeactivateLutInstructionDataArgs = {};
export declare function getDeactivateLutInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DeactivateLutInstructionDataArgs, DeactivateLutInstructionData>;
export declare function deactivateLut(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: DeactivateLutInstructionAccounts): WrappedInstruction;
