import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type ExtendLutInstructionAccounts = {
    address: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
};
export type ExtendLutInstructionData = {
    discriminator: number;
    addresses: Array<PublicKey>;
};
export type ExtendLutInstructionDataArgs = {
    addresses: Array<PublicKey>;
};
export declare function getExtendLutInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<ExtendLutInstructionDataArgs, ExtendLutInstructionData>;
export declare function extendLut(context: Pick<Context, 'serializer' | 'programs' | 'identity' | 'payer'>, input: ExtendLutInstructionAccounts & ExtendLutInstructionDataArgs): WrappedInstruction;
