import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi';
export type InitializeMultisig2InstructionAccounts = {
    multisig: PublicKey;
    signer: PublicKey;
};
export type InitializeMultisig2InstructionData = {
    discriminator: number;
    m: number;
};
export type InitializeMultisig2InstructionDataArgs = {
    m: number;
};
export declare function getInitializeMultisig2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeMultisig2InstructionDataArgs, InitializeMultisig2InstructionData>;
export declare function initializeMultisig2(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeMultisig2InstructionAccounts & InitializeMultisig2InstructionDataArgs): WrappedInstruction;
