import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi';
export type UiAmountToAmountInstructionAccounts = {
    mint: PublicKey;
};
export type UiAmountToAmountInstructionData = {
    discriminator: number;
    uiAmount: bigint;
};
export type UiAmountToAmountInstructionDataArgs = {
    uiAmount: number | bigint;
};
export declare function getUiAmountToAmountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UiAmountToAmountInstructionDataArgs, UiAmountToAmountInstructionData>;
export declare function uiAmountToAmount(context: Pick<Context, 'serializer' | 'programs'>, input: UiAmountToAmountInstructionAccounts & UiAmountToAmountInstructionDataArgs): WrappedInstruction;
