"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplComputeBudgetProgram = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const errors_1 = require("../errors");
function getSplComputeBudgetProgram() {
    return {
        name: 'splComputeBudget',
        publicKey: (0, umi_1.publicKey)('ComputeBudget111111111111111111111111111111'),
        getErrorFromCode(code, cause) {
            return (0, errors_1.getSplComputeBudgetErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getSplComputeBudgetErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.getSplComputeBudgetProgram = getSplComputeBudgetProgram;
//# sourceMappingURL=splComputeBudget.js.map