import { Context, PublicKey, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export declare const createLutForTransactionBuilder: (context: Pick<Context, 'rpc' | 'eddsa' | 'programs' | 'serializer' | 'transactions' | 'identity' | 'payer'>, builder: TransactionBuilder, recentSlot: number, authority?: Signer) => {
    lutAccounts: {
        publicKey: PublicKey;
        addresses: PublicKey[];
    }[];
    createLutBuilders: TransactionBuilder[];
    builder: TransactionBuilder;
};
