import { Context, PublicKey, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type CreateTokenArgs = {
    token: Signer;
    mint: PublicKey;
    owner?: PublicKey;
};
export declare function createToken(context: Pick<Context, 'serializer' | 'programs' | 'identity' | 'payer'>, input: CreateTokenArgs): WrappedInstruction[];
