import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi';
export type AmountToUiAmountInstructionAccounts = {
    mint: PublicKey;
};
export type AmountToUiAmountInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type AmountToUiAmountInstructionDataArgs = {
    amount: number | bigint;
};
export declare function getAmountToUiAmountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AmountToUiAmountInstructionDataArgs, AmountToUiAmountInstructionData>;
export declare function amountToUiAmount(context: Pick<Context, 'serializer' | 'programs'>, input: AmountToUiAmountInstructionAccounts & AmountToUiAmountInstructionDataArgs): WrappedInstruction;
