import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type CloseTokenInstructionAccounts = {
    account: PublicKey;
    destination: PublicKey;
    owner: Signer;
};
export type CloseTokenInstructionData = {
    discriminator: number;
};
export type CloseTokenInstructionDataArgs = {};
export declare function getCloseTokenInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CloseTokenInstructionDataArgs, CloseTokenInstructionData>;
export declare function closeToken(context: Pick<Context, 'serializer' | 'programs'>, input: CloseTokenInstructionAccounts): WrappedInstruction;
