import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type CreateAccountWithRentInstructionAccounts = {
    payer?: Signer;
    newAccount: Signer;
    systemProgram?: PublicKey;
};
export type CreateAccountWithRentInstructionData = {
    discriminator: number;
    space: bigint;
    programId: PublicKey;
};
export type CreateAccountWithRentInstructionDataArgs = {
    space: number | bigint;
    programId: PublicKey;
};
export declare function getCreateAccountWithRentInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateAccountWithRentInstructionDataArgs, CreateAccountWithRentInstructionData>;
export declare function createAccountWithRent(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: CreateAccountWithRentInstructionAccounts & CreateAccountWithRentInstructionDataArgs): WrappedInstruction;
