import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type FreezeTokenInstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
    owner: Signer;
};
export type FreezeTokenInstructionData = {
    discriminator: number;
};
export type FreezeTokenInstructionDataArgs = {};
export declare function getFreezeTokenInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<FreezeTokenInstructionDataArgs, FreezeTokenInstructionData>;
export declare function freezeToken(context: Pick<Context, 'serializer' | 'programs'>, input: FreezeTokenInstructionAccounts): WrappedInstruction;
