import { Context, Serializer, WrappedInstruction } from '@metaplex-foundation/umi';
export type RequestHeapFrameInstructionData = {
    discriminator: number;
    bytes: number;
};
export type RequestHeapFrameInstructionDataArgs = {
    bytes: number;
};
export declare function getRequestHeapFrameInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RequestHeapFrameInstructionDataArgs, RequestHeapFrameInstructionData>;
export declare function requestHeapFrame(context: Pick<Context, 'serializer' | 'programs'>, input: RequestHeapFrameInstructionDataArgs): WrappedInstruction;
