import { Context, Serializer, WrappedInstruction } from '@metaplex-foundation/umi';
export type RequestUnitsInstructionData = {
    discriminator: number;
    units: number;
    additionalFee: number;
};
export type RequestUnitsInstructionDataArgs = {
    units: number;
    additionalFee: number;
};
export declare function getRequestUnitsInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RequestUnitsInstructionDataArgs, RequestUnitsInstructionData>;
export declare function requestUnits(context: Pick<Context, 'serializer' | 'programs'>, input: RequestUnitsInstructionDataArgs): WrappedInstruction;
