import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type RevokeTokenDelegateInstructionAccounts = {
    source: PublicKey;
    owner: Signer;
};
export type RevokeTokenDelegateInstructionData = {
    discriminator: number;
};
export type RevokeTokenDelegateInstructionDataArgs = {};
export declare function getRevokeTokenDelegateInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RevokeTokenDelegateInstructionDataArgs, RevokeTokenDelegateInstructionData>;
export declare function revokeTokenDelegate(context: Pick<Context, 'serializer' | 'programs'>, input: RevokeTokenDelegateInstructionAccounts): WrappedInstruction;
