"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setComputeUnitLimit = exports.getSetComputeUnitLimitInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getSetComputeUnitLimitInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        ['units', s.u32()],
    ], { description: 'SetComputeUnitLimitInstructionData' }), (value) => ({ ...value, discriminator: 2 }));
}
exports.getSetComputeUnitLimitInstructionDataSerializer = getSetComputeUnitLimitInstructionDataSerializer;
function setComputeUnitLimit(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splComputeBudget', 'ComputeBudget111111111111111111111111111111');
    const data = getSetComputeUnitLimitInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.setComputeUnitLimit = setComputeUnitLimit;
//# sourceMappingURL=setComputeUnitLimit.js.map