import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi';
export type SyncNativeInstructionAccounts = {
    account: PublicKey;
};
export type SyncNativeInstructionData = {
    discriminator: number;
};
export type SyncNativeInstructionDataArgs = {};
export declare function getSyncNativeInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SyncNativeInstructionDataArgs, SyncNativeInstructionData>;
export declare function syncNative(context: Pick<Context, 'serializer' | 'programs'>, input: SyncNativeInstructionAccounts): WrappedInstruction;
