import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type ThawTokenInstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
    owner: Signer;
};
export type ThawTokenInstructionData = {
    discriminator: number;
};
export type ThawTokenInstructionDataArgs = {};
export declare function getThawTokenInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<ThawTokenInstructionDataArgs, ThawTokenInstructionData>;
export declare function thawToken(context: Pick<Context, 'serializer' | 'programs'>, input: ThawTokenInstructionAccounts): WrappedInstruction;
